Subject: Re: Deleting a Bare Repo

From: Neal Kreitzinger <[email-masked]>
Date: Fri, 18 Mar 2011 16:36:41 -0500

On 3/18/2011 10:26 AM, Sean B. Palmer wrote:
> I'd like to delete a bare git repo, but I want to check that (a) it's
> being used as the actual git bare repo, e.g. if $GIT_DIR is set, and
> (b) that it is actually a git repo. Using rm -rf .git/ doesn't seem
> safe for these reasons, so is there a command in git itself to do
> this?
>
> I've been going through the man pages without success.
>
here is a partial list of considerations and inqueries:
* there is not a git command to delete a repo.  rm -rf is how you do it.
* git repo's are not aware of who has cloned from them and/or is 
pulling/fetching from them.
* if there is a git-daemon-export-ok then that means it was setup to be 
pull-from via the git:// protocol.  however, that doesn't mean anyone is 
actually pulling from it.
* check the config file and see if its setup as a mirror.  if so, 
investigate its mirror.

if you are talking about manual deletion you could:
* cd to the bare repo and do a git-status.  if it returns a status then 
it's a working repo (not necessarily a referenced repo).
* analyze it in gitk and see if anyone has pushed to it recently.
* rename it and see if anyone complains.

v/r,
neal